Page MenuHomePhabricator

Run maintenance script to migrate disabled accounts with DisableAccount to blocked account
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/DisableAccount : wmf/1.32.0-wmf.22Check for users with "" for password and email too
mediawiki/extensions/DisableAccount : masterCheck for users with "" for password and email too

Event Timeline

Restricted Application added subscribers: JEumerus, Aklapper. · View Herald TranscriptAug 3 2016, 12:51 AM
ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Sep 1 2016, 7:01 PM
Reedy added a subscriber: Reedy.Feb 20 2017, 4:19 PM

Would be nice to just get this done and out of the way

Do we want to temporarily enable it on somewhere like testwiki, create an account, disable them, and then see what the migration looks like? Ie the blocking and the log entries. Then look to run it on the other wikis in one go?

@Reedy If that helps to know later what is exactly needed to do, then okay. The most important is that the wikis using this extension should also be set to $wgBlockDisablesLogin (which should be true for all private wikis) and that they indeed remain unable to access after they're migrated.

Since wgBlockDisablesLogin is set to true for private wikis, is there anything blocking this task?

WMF Legal needs to sign off I think, per Philippe's comments on the code.

@Jalexander if you could sign off on this then please?

I also think there was some issues with the script @Reedy created not picking the right accounts sometimes.

Reedy claimed this task.Sep 20 2018, 12:08 AM

I'm JFDI later today.

MarcoAurelio added a comment.EditedSep 20 2018, 8:04 AM

Thanks @Reedy - please bear in mind what we said at T106067#3041391. As far as I can see the script just looks for accounts in the 'inactive' user group which is not an accurate search parameter as per our comments above.

T106067#3041409 would be the most correct searching parameters as the 'inactive' user group has been manually added to accounts.

Reedy added a comment.Sep 20 2018, 6:31 PM
MariaDB [stewardwiki]> select count(*) from user where user_password = "" AND user_email = "";
+----------+
| count(*) |
+----------+
|        5 |
+----------+
1 row in set (0.00 sec)

MariaDB [stewardwiki]> select count(*) from user where user_password IS null AND user_email IS null;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.00 sec)

T106067#3041409 would be the most correct searching parameters as the 'inactive' user group has been manually added to accounts.

Doesn't seem to be exactly the case... https://github.com/wikimedia/mediawiki-extensions-DisableAccount/blob/master/SpecialDisableAccount.php#L71 - The script adds it, and has for a long time

Yes, indeed DisableAccount does add an account to the inactive user group. But not all accounts flagged as "inactive" are disabled by that extension. Hope that it helps.

Change 461702 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/DisableAccount@master] Check for users with "" for password and email too

https://gerrit.wikimedia.org/r/461702

Change 461704 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/DisableAccount@wmf/1.32.0-wmf.22] Check for users with "" for password and email too

https://gerrit.wikimedia.org/r/461704

Change 461702 merged by jenkins-bot:
[mediawiki/extensions/DisableAccount@master] Check for users with "" for password and email too

https://gerrit.wikimedia.org/r/461702

Change 461704 merged by jenkins-bot:
[mediawiki/extensions/DisableAccount@wmf/1.32.0-wmf.22] Check for users with "" for password and email too

https://gerrit.wikimedia.org/r/461704

Reedy closed this task as Resolved.Sep 20 2018, 7:51 PM

Done